View Issue Details

IDProjectCategoryView StatusLast Update
0037461pas2jsrtlpublic2020-08-03 14:19
Reporterhenrique Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionwon't fix 
PlatformWebOSWindows 
Summary0037461: Delphi compatibility
DescriptionI changed the sources of RTL, for the "code insigth" of Delphi work, in the integration with the IDE that I am doing. I attached the diff of the changes.
TagsNo tags attached.
Fixed in Revision
Attached Files

Activities

henrique

2020-07-31 20:27

reporter  

rtl.zip (120,151 bytes)

Michael Van Canneyt

2020-07-31 21:01

administrator   ~0124442

Please, PLEASE !! consult with us before submitting such patches.

This patch will not be applied to the sources.

I have a program that reads the pas2js sources and generates Delphi-parsable units.
I will commit it to SVN, it seems I forgot to do so.

You can use that to generate Delphi-parseable units.
(TMS Software uses it too)

Michael Van Canneyt

2020-08-01 10:23

administrator   ~0124452

The tool has been committed to the subversion repository.

It's documented in
https://wiki.freepascal.org/pas2s_stub

If you want to use this tool to create stubs for the units provided in pas2js, please do so, and I will add them to the pas2js repo.
If you have ideas for improving it, please contact me to discuss it.

henrique

2020-08-03 13:37

reporter   ~0124526

How I build this tool?

Michael Van Canneyt

2020-08-03 14:19

administrator   ~0124528

As all FPC/lazarus programs: Open .lpi file in lazarus, press "compile".

It will be distributed as a binary in the following release.

Issue History

Date Modified Username Field Change
2020-07-31 20:27 henrique New Issue
2020-07-31 20:27 henrique File Added: rtl.zip
2020-07-31 21:01 Michael Van Canneyt Assigned To => Michael Van Canneyt
2020-07-31 21:01 Michael Van Canneyt Status new => resolved
2020-07-31 21:01 Michael Van Canneyt Resolution open => won't fix
2020-07-31 21:01 Michael Van Canneyt Note Added: 0124442
2020-08-01 10:23 Michael Van Canneyt Note Added: 0124452
2020-08-03 13:37 henrique Note Added: 0124526
2020-08-03 14:19 Michael Van Canneyt Note Added: 0124528